Download it now!
Bug 77315 - UI Cell with line-breaks (new paragraphs): Cursor disappears while typing, clicking with mouse into cell, moving a mouse
Summary: UI Cell with line-breaks (new paragraphs): Cursor disappears while typing, cl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.1 rc
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 08:58 UTC by findingabug@gmail.com
Modified: 2014-05-17 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description findingabug@gmail.com 2014-04-11 08:58:15 UTC
To replicate:
1. Open Calc
2. Insert a text into a cell
3. In the same cell insert a new paragraph (Ctrl+enter)
4. Double click on the cell
5. Move a mouse

Result: Cursor is not visible
Expected result: Cursor visible

Cursor becomes visible when the arrow-keys are pressed. Disappears on a mouse move.

This has been tested in Windows and Linux. None works.
Comment 1 sophie 2014-04-23 08:43:13 UTC
Reproduced using Version: 4.2.4.1
Build ID: d4c441391e20647b3d2e8dde4d20aa868e77e515 Ubuntu 14.04. Set version on the one I tested, platform to all and New. Sophie
Comment 2 Commit Notification 2014-05-16 20:21:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df51f7d486cafb2795a38ae9fedd8fde8827d8a4

fdo#77315: When in cell edit mode, use the EditView instance already there.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Kohei Yoshida 2014-05-16 20:29:05 UTC
4.2 backport: https://gerrit.libreoffice.org/9386
Comment 4 Commit Notification 2014-05-17 03:26:39 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d758875cd0ea87f8c7bbe1bbb78e49d06254cbee&h=libreoffice-4-2

fdo#77315: When in cell edit mode, use the EditView instance already there.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-17 03:40:47 UTC
fixed.